Name:           kdesvn
Version:        0.14.1
Release:        4%{?dist}
Summary:        A subversion client for KDE with KIO integration

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.alwins-world.de/programs/kdesvn/
Source0:        http://www.alwins-world.de/programs/download/kdesvn/0.14.x/kdesvn-%{version}.tar.bz2
Patch0:         kdesvn-0.14.1-asneeded.patch
Patch1:         kdesvn-0.14.1-png.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  subversion-devel, kdelibs3-devel, neon-devel, cmake, gettext
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use the %{name} subversion wrapper library.


%prep
%setup -q
%patch -p1 -b .asneeded
%patch1 -p1 -b .png


%build
mkdir kdesvn-build
cd kdesvn-build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%cmake .. \
       -DCMAKE_BUILD_TYPE=Release
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd kdesvn-build
make install VERBOSE=1 DESTDIR=$RPM_BUILD_ROOT

# Desktop file
cd ..
desktop-file-install --vendor=fedora \
       --add-category=Qt \
       --add-category=KDE \
       --add-category=Application \
       --add-category=Development \
       --add-category=X-Fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
%find_lang %{name} || touch %{name}.lang

#Don't conflict with kdebase
rm $RPM_BUILD_ROOT%{_datadir}/services/svn*.protocol


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING GPL.txt
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde3/*
%{_libdir}/libsvnqt.so.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/kconf_update/
%{_datadir}/apps/kdesvn/
%{_datadir}/apps/kdesvnpart/
%{_datadir}/apps/konqueror/servicemenus/kdesvn*.desktop
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/doc/HTML/en/kdesvn/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/services/ksvn*.protocol
%{_mandir}/man1/kdesvn*.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/svnqt/
%{_libdir}/libsvnqt.so


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.14.1-4
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-3
- BuildRequires: kdelibs-devel -> kdelibs3-devel

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-2
- Rebuild for new openssl/openldap

* Mon Nov 19 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.14.1-1
- Update to 0.14.1
- Link libsvnqt.so with --as-needed
- Add patch to fix bug #388821 (dangling symlinks)

* Mon Sep  3 2007 Joe Orton <jorton@redhat.com> 0.13.0-4
- rebuild for fixed 32-bit APR (#254241)

* Tue Aug 28 2007 Orion Poplawski <orion@cora.nwra.com> - 0.13.0-3
- Rebuild for new expat

* Tue Aug 21 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.13.0-2
- Rebuild for BuildID

* Wed Aug  8 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.13.0-1
- Update to 0.13.0
- Update License tag to GPLv2+

* Wed Jun 13 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.12.1-1
- Update to 0.12.1
- Remove index.cache hacks fixed upstream

* Mon Apr 16 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-3
- Remove no longer needed .so permission fix

* Fri Apr 06 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-2
- Use %%cmake macro
- Fix shared library permissions

* Mon Mar 26 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-1
- Update to 0.11.2
- Install a prebuilt en_index.cache.bz2 to fix multilib (bug #228370)

* Wed Nov  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.11.0-1
- Update to 0.11.0

* Wed Oct  4 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.10.0-1
- Update to 0.10.0

* Tue Oct  3 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-1
- Update to 0.9.3
- Remove patch applied upstream

* Fri Sep  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.2-1
- Update to 0.9.2, uses cmake
- Add patch from Rajko Albrecht to fix lib64 installs

* Thu Jul 27 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.1-1
- Update to 0.9.1, should fix bug #185165

* Mon Jun  5 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.8.4-1
- Update to 0.8.4

* Wed Mar  8 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.4-1
- Update to 0.7.4

* Mon Feb 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-2
- Rebuild for gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Update to 0.7.2
- Remove gcc41 patch fixed upstream
- Remove apr-1-config and apu-1-config args - fixed upstream
- Drop srcver - bad idea

* Fri Dec 16 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-3
- Add missing files not detected by mock
- Add patch to fix gcc41 compile error

* Tue Dec 13 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Specify apr-1-config and apu-1-config to configure

* Fri Dec  9 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-1
- New upstream version 0.7.1

* Sun Nov 20 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.0-0.rc1
- New upstream version 0.7.0rc1
- Remove desktop patch fixed upstream
- Add patch to remove X11 checks from configure

* Fri Nov  4 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-2
- Make use of buildroot consistant
- Just BuildRequires the "desktop-file-utils" package
- Add post/postun update-desktop-database and gtk-update-icon-cache
- Add Application Category tag to desktop file

* Thu Nov  3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-1
- Initial Fedora Extras release
